<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:user_groups" pagination="1" title_preset="group_list" prefix="g.total"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				//do not rename - this function is used in default grid for double click!
	  			function edit()
	  			{
	  				set_hidden_field('remove_specials[g.total]', 1);
	  				std_edit_item('g.total', 'groups/groups_edit');
	  			}

	  			var a_toolbar = new ToolBar();
					a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewGroup" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
							function() {
								set_hidden_field('remove_specials[g.total]', 1);
								std_precreate_item('g.total', 'groups/groups_edit')
							} ) );

					a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );
					a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
							function() {
								set_hidden_field('remove_specials[g.total]', 1);
								std_delete_items('g.total');
							} ) );

					a_toolbar.AddButton( new ToolBarSeparator('sep1') );

					<inp2:m_if check="m_ModuleEnabled" module="In-Portal">
						a_toolbar.AddButton(
							new ToolBarButton(
								'e-mail',
								'<inp2:m_phrase label="la_ToolTip_SendMail" escape="1"/>',
								function() {
									Application.SetVar('remove_specials[g.total]', 1);
									Application.SetVar('mailing_recipient_type', 'g');
									openSelector('mailing-list', '<inp2:m_Link template="mailing_lists/mailing_list_edit"/>', 'UserEmail', null, 'OnNew');
								}
							)
						);
					</inp2:m_if>

					a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
								show_viewmenu(a_toolbar,'view');
							}
					) );

					a_toolbar.Render();
			</script>

		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="g.total" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="g.total" IdField="GroupId" grid="Default"/>
<script type="text/javascript">
	Grids['g.total'].SetDependantToolbarButtons( new Array('edit', 'delete', 'e-mail') );
	
	<inp2:m_if check="m_Recall" name="refresh_tree">
	 	<inp2:m_RemoveVar name="refresh_tree"/>
  		getFrame('menu').location.reload();
  	</inp2:m_if>
</script>
<inp2:m_include t="incs/footer"/>